; ====================================================;
;                                                     ;
;     user32.inc for EC v2 Fasm classic projects      ;
;                   (version 1.0.0)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2018            ;
;                                                     ;
; ====================================================;

if ~defined USER32_INC
define USER32_INC 1

if defined APP_WIN64
    import user32,\
    ActivateKeyboardLayout,'ActivateKeyboardLayout',\
    AddClipboardFormatListener,'AddClipboardFormatListener',\
    AdjustWindowRect,'AdjustWindowRect',\
    AdjustWindowRectEx,'AdjustWindowRectEx',\
    AllowForegroundActivation,'AllowForegroundActivation',\
    AllowSetForegroundWindow,'AllowSetForegroundWindow',\
    AnimateWindow,'AnimateWindow',\
    AnyPopup,'AnyPopup',\
    AppendMenuA,'AppendMenuA',\
    AppendMenuW,'AppendMenuW',\
    ArrangeIconicWindows,'ArrangeIconicWindows',\
    AttachThreadInput,'AttachThreadInput',\
    BeginDeferWindowPos,'BeginDeferWindowPos',\
    BeginPaint,'BeginPaint',\
    BlockInput,'BlockInput',\
    BringWindowToTop,'BringWindowToTop',\
    BroadcastSystemMessageA,'BroadcastSystemMessageA',\
    BroadcastSystemMessageExA,'BroadcastSystemMessageExA',\
    BroadcastSystemMessageExW,'BroadcastSystemMessageExW',\
    BroadcastSystemMessageW,'BroadcastSystemMessageW',\
    BuildReasonArray,'BuildReasonArray',\
    CalculatePopupWindowPosition,'CalculatePopupWindowPosition',\
    CallMsgFilter,'CallMsgFilter',\
    CallMsgFilterA,'CallMsgFilterA',\
    CallMsgFilterW,'CallMsgFilterW',\
    CallNextHookEx,'CallNextHookEx',\
    CallWindowProcA,'CallWindowProcA',\
    CallWindowProcW,'CallWindowProcW',\
    CancelShutdown,'CancelShutdown',\
    CascadeChildWindows,'CascadeChildWindows',\
    CascadeWindows,'CascadeWindows',\
    ChangeClipboardChain,'ChangeClipboardChain',\
    ChangeDisplaySettingsA,'ChangeDisplaySettingsA',\
    ChangeDisplaySettingsExA,'ChangeDisplaySettingsExA',\
    ChangeDisplaySettingsExW,'ChangeDisplaySettingsExW',\
    ChangeDisplaySettingsW,'ChangeDisplaySettingsW',\
    ChangeMenuA,'ChangeMenuA',\
    ChangeMenuW,'ChangeMenuW',\
    ChangeWindowMessageFilter,'ChangeWindowMessageFilter',\
    ChangeWindowMessageFilterEx,'ChangeWindowMessageFilterEx',\
    CharLowerA,'CharLowerA',\
    CharLowerBuffA,'CharLowerBuffA',\
    CharLowerBuffW,'CharLowerBuffW',\
    CharLowerW,'CharLowerW',\
    CharNextA,'CharNextA',\
    CharNextExA,'CharNextExA',\
    CharNextW,'CharNextW',\
    CharPrevA,'CharPrevA',\
    CharPrevExA,'CharPrevExA',\
    CharPrevW,'CharPrevW',\
    CharToOemA,'CharToOemA',\
    CharToOemBuffA,'CharToOemBuffA',\
    CharToOemBuffW,'CharToOemBuffW',\
    CharToOemW,'CharToOemW',\
    CharUpperA,'CharUpperA',\
    CharUpperBuffA,'CharUpperBuffA',\
    CharUpperBuffW,'CharUpperBuffW',\
    CharUpperW,'CharUpperW',\
    CheckDlgButton,'CheckDlgButton',\
    CheckMenuItem,'CheckMenuItem',\
    CheckMenuRadioItem,'CheckMenuRadioItem',\
    CheckRadioButton,'CheckRadioButton',\
    ChildWindowFromPoint,'ChildWindowFromPoint',\
    ChildWindowFromPointEx,'ChildWindowFromPointEx',\
    ClientThreadSetup,'ClientThreadSetup',\
    ClientToScreen,'ClientToScreen',\
    CliImmSetHotKey,'CliImmSetHotKey',\
    ClipCursor,'ClipCursor',\
    CloseClipboard,'CloseClipboard',\
    CloseDesktop,'CloseDesktop',\
    CloseGestureInfoHandle,'CloseGestureInfoHandle',\
    CloseTouchInputHandle,'CloseTouchInputHandle',\
    CloseWindow,'CloseWindow',\
    CloseWindowStation,'CloseWindowStation',\
    CopyAcceleratorTableA,'CopyAcceleratorTableA',\
    CopyAcceleratorTableW,'CopyAcceleratorTableW',\
    CopyIcon,'CopyIcon',\
    CopyImage,'CopyImage',\
    CopyRect,'CopyRect',\
    CountClipboardFormats,'CountClipboardFormats',\
    CreateAcceleratorTableA,'CreateAcceleratorTableA',\
    CreateAcceleratorTableW,'CreateAcceleratorTableW',\
    CreateCaret,'CreateCaret',\
    CreateCursor,'CreateCursor',\
    CreateDesktopA,'CreateDesktopA',\
    CreateDesktopExA,'CreateDesktopExA',\
    CreateDesktopExW,'CreateDesktopExW',\
    CreateDesktopW,'CreateDesktopW',\
    CreateDialogIndirectParamA,'CreateDialogIndirectParamA',\
    CreateDialogIndirectParamAorW,'CreateDialogIndirectParamAorW',\
    CreateDialogIndirectParamW,'CreateDialogIndirectParamW',\
    CreateDialogParamA,'CreateDialogParamA',\
    CreateDialogParamW,'CreateDialogParamW',\
    CreateIcon,'CreateIcon',\
    CreateIconFromResource,'CreateIconFromResource',\
    CreateIconFromResourceEx,'CreateIconFromResourceEx',\
    CreateIconIndirect,'CreateIconIndirect',\
    CreateMDIWindowA,'CreateMDIWindowA',\
    CreateMDIWindowW,'CreateMDIWindowW',\
    CreateMenu,'CreateMenu',\
    CreatePopupMenu,'CreatePopupMenu',\
    CreateSystemThreads,'CreateSystemThreads',\
    CreateWindowExA,'CreateWindowExA',\
    CreateWindowExW,'CreateWindowExW',\
    CreateWindowInBand,'CreateWindowInBand',\
    CreateWindowStationA,'CreateWindowStationA',\
    CreateWindowStationW,'CreateWindowStationW',\
    CsrBroadcastSystemMessageExW,'CsrBroadcastSystemMessageExW',\
    CtxInitUser32,'CtxInitUser32',\
    DdeAbandonTransaction,'DdeAbandonTransaction',\
    DdeAccessData,'DdeAccessData',\
    DdeAddData,'DdeAddData',\
    DdeClientTransaction,'DdeClientTransaction',\
    DdeCmpStringHandles,'DdeCmpStringHandles',\
    DdeConnect,'DdeConnect',\
    DdeConnectList,'DdeConnectList',\
    DdeCreateDataHandle,'DdeCreateDataHandle',\
    DdeCreateStringHandleA,'DdeCreateStringHandleA',\
    DdeCreateStringHandleW,'DdeCreateStringHandleW',\
    DdeDisconnect,'DdeDisconnect',\
    DdeDisconnectList,'DdeDisconnectList',\
    DdeEnableCallback,'DdeEnableCallback',\
    DdeFreeDataHandle,'DdeFreeDataHandle',\
    DdeFreeStringHandle,'DdeFreeStringHandle',\
    DdeGetData,'DdeGetData',\
    DdeGetLastError,'DdeGetLastError',\
    DdeGetQualityOfService,'DdeGetQualityOfService',\
    DdeImpersonateClient,'DdeImpersonateClient',\
    DdeInitializeA,'DdeInitializeA',\
    DdeInitializeW,'DdeInitializeW',\
    DdeKeepStringHandle,'DdeKeepStringHandle',\
    DdeNameService,'DdeNameService',\
    DdePostAdvise,'DdePostAdvise',\
    DdeQueryConvInfo,'DdeQueryConvInfo',\
    DdeQueryNextServer,'DdeQueryNextServer',\
    DdeQueryStringA,'DdeQueryStringA',\
    DdeQueryStringW,'DdeQueryStringW',\
    DdeReconnect,'DdeReconnect',\
    DdeSetQualityOfService,'DdeSetQualityOfService',\
    DdeSetUserHandle,'DdeSetUserHandle',\
    DdeUnaccessData,'DdeUnaccessData',\
    DdeUninitialize,'DdeUninitialize',\
    DefDlgProcA,'DefDlgProcA',\
    DefDlgProcW,'DefDlgProcW',\
    DeferWindowPos,'DeferWindowPos',\
    DefFrameProcA,'DefFrameProcA',\
    DefFrameProcW,'DefFrameProcW',\
    DefMDIChildProcA,'DefMDIChildProcA',\
    DefMDIChildProcW,'DefMDIChildProcW',\
    DefRawInputProc,'DefRawInputProc',\
    DefWindowProcA,'DefWindowProcA',\
    DefWindowProcW,'DefWindowProcW',\
    DeleteMenu,'DeleteMenu',\
    DeregisterShellHookWindow,'DeregisterShellHookWindow',\
    DestroyAcceleratorTable,'DestroyAcceleratorTable',\
    DestroyCaret,'DestroyCaret',\
    DestroyCursor,'DestroyCursor',\
    DestroyIcon,'DestroyIcon',\
    DestroyMenu,'DestroyMenu',\
    DestroyReasons,'DestroyReasons',\
    DestroyWindow,'DestroyWindow',\
    DeviceEventWorker,'DeviceEventWorker',\
    DialogBoxIndirectParamA,'DialogBoxIndirectParamA',\
    DialogBoxIndirectParamW,'DialogBoxIndirectParamW',\
    DialogBoxParamA,'DialogBoxParamA',\
    DialogBoxParamW,'DialogBoxParamW',\
    DisableProcessWindowsGhosting,'DisableProcessWindowsGhosting',\
    DispatchMessageA,'DispatchMessageA',\
    DispatchMessageW,'DispatchMessageW',\
    DisplayConfigGetDeviceInfo,'DisplayConfigGetDeviceInfo',\
    DisplayConfigSetDeviceInfo,'DisplayConfigSetDeviceInfo',\
    DlgDirListA,'DlgDirListA',\
    DlgDirListComboBoxA,'DlgDirListComboBoxA',\
    DlgDirListComboBoxW,'DlgDirListComboBoxW',\
    DlgDirListW,'DlgDirListW',\
    DlgDirSelectComboBoxExA,'DlgDirSelectComboBoxExA',\
    DlgDirSelectComboBoxExW,'DlgDirSelectComboBoxExW',\
    DlgDirSelectExA,'DlgDirSelectExA',\
    DlgDirSelectExW,'DlgDirSelectExW',\
    DragDetect,'DragDetect',\
    DragObject,'DragObject',\
    DrawAnimatedRects,'DrawAnimatedRects',\
    DrawCaption,'DrawCaption',\
    DrawCaptionTempA,'DrawCaptionTempA',\
    DrawCaptionTempW,'DrawCaptionTempW',\
    DrawEdge,'DrawEdge',\
    DrawFocusRect,'DrawFocusRect',\
    DrawFrame,'DrawFrame',\
    DrawFrameControl,'DrawFrameControl',\
    DrawIcon,'DrawIcon',\
    DrawIconEx,'DrawIconEx',\
    DrawMenuBar,'DrawMenuBar',\
    DrawMenuBarTemp,'DrawMenuBarTemp',\
    DrawStateA,'DrawStateA',\
    DrawStateW,'DrawStateW',\
    DrawTextA,'DrawTextA',\
    DrawTextExA,'DrawTextExA',\
    DrawTextExW,'DrawTextExW',\
    DrawTextW,'DrawTextW',\
    DwmGetDxSharedSurface,'DwmGetDxSharedSurface',\
    EditWndProc,'EditWndProc',\
    EmptyClipboard,'EmptyClipboard',\
    EnableMenuItem,'EnableMenuItem',\
    EnableMouseInPointer,'EnableMouseInPointer',\
    EnableScrollBar,'EnableScrollBar',\
    EnableWindow,'EnableWindow',\
    EndDeferWindowPos,'EndDeferWindowPos',\
    EndDialog,'EndDialog',\
    EndMenu,'EndMenu',\
    EndPaint,'EndPaint',\
    EndTask,'EndTask',\
    EnumChildWindows,'EnumChildWindows',\
    EnumClipboardFormats,'EnumClipboardFormats',\
    EnumDesktopsA,'EnumDesktopsA',\
    EnumDesktopsW,'EnumDesktopsW',\
    EnumDesktopWindows,'EnumDesktopWindows',\
    EnumDisplayDevicesA,'EnumDisplayDevicesA',\
    EnumDisplayDevicesW,'EnumDisplayDevicesW',\
    EnumDisplayMonitors,'EnumDisplayMonitors',\
    EnumDisplaySettingsA,'EnumDisplaySettingsA',\
    EnumDisplaySettingsExA,'EnumDisplaySettingsExA',\
    EnumDisplaySettingsExW,'EnumDisplaySettingsExW',\
    EnumDisplaySettingsW,'EnumDisplaySettingsW',\
    EnumPropsA,'EnumPropsA',\
    EnumPropsExA,'EnumPropsExA',\
    EnumPropsExW,'EnumPropsExW',\
    EnumPropsW,'EnumPropsW',\
    EnumThreadWindows,'EnumThreadWindows',\
    EnumWindows,'EnumWindows',\
    EnumWindowStationsA,'EnumWindowStationsA',\
    EnumWindowStationsW,'EnumWindowStationsW',\
    EqualRect,'EqualRect',\
    EvaluateProximityToPolygon,'EvaluateProximityToPolygon',\
    EvaluateProximityToRect,'EvaluateProximityToRect',\
    ExcludeUpdateRgn,'ExcludeUpdateRgn',\
    ExitWindowsEx,'ExitWindowsEx',\
    FillRect,'FillRect',\
    FindWindowA,'FindWindowA',\
    FindWindowExA,'FindWindowExA',\
    FindWindowExW,'FindWindowExW',\
    FindWindowW,'FindWindowW',\
    FlashWindow,'FlashWindow',\
    FlashWindowEx,'FlashWindowEx',\
    FrameRect,'FrameRect',\
    FreeDDElParam,'FreeDDElParam',\
    FrostCrashedWindow,'FrostCrashedWindow',\
    GetActiveWindow,'GetActiveWindow',\
    GetAltTabInfo,'GetAltTabInfoA',\
    GetAltTabInfoA,'GetAltTabInfoA',\
    GetAltTabInfoW,'GetAltTabInfoW',\
    GetAncestor,'GetAncestor',\
    GetAppCompatFlags,'GetAppCompatFlags',\
    GetAppCompatFlags2,'GetAppCompatFlags2',\
    GetAsyncKeyState,'GetAsyncKeyState',\
    GetAutoRotationState,'GetAutoRotationState',\
    GetCapture,'GetCapture',\
    GetCaretBlinkTime,'GetCaretBlinkTime',\
    GetCaretPos,'GetCaretPos',\
    GetCIMSSM,'GetCIMSSM',\
    GetClassInfoA,'GetClassInfoA',\
    GetClassInfoExA,'GetClassInfoExA',\
    GetClassInfoExW,'GetClassInfoExW',\
    GetClassInfoW,'GetClassInfoW',\
    GetClassLongA,'GetClassLongA',\
    GetClassLongPtrA,'GetClassLongPtrA',\
    GetClassLongPtrW,'GetClassLongPtrW',\
    GetClassLongW,'GetClassLongW',\
    GetClassNameA,'GetClassNameA',\
    GetClassNameW,'GetClassNameW',\
    GetClassWord,'GetClassWord',\
    GetClientRect,'GetClientRect',\
    GetClipboardData,'GetClipboardData',\
    GetClipboardFormatNameA,'GetClipboardFormatNameA',\
    GetClipboardFormatNameW,'GetClipboardFormatNameW',\
    GetClipboardOwner,'GetClipboardOwner',\
    GetClipboardSequenceNumber,'GetClipboardSequenceNumber',\
    GetClipboardViewer,'GetClipboardViewer',\
    GetClipCursor,'GetClipCursor',\
    GetComboBoxInfo,'GetComboBoxInfo',\
    GetCurrentInputMessageSource,'GetCurrentInputMessageSource',\
    GetCursor,'GetCursor',\
    GetCursorInfo,'GetCursorInfo',\
    GetCursorPos,'GetCursorPos',\
    GetDC,'GetDC',\
    GetDCEx,'GetDCEx',\
    GetDesktopWindow,'GetDesktopWindow',\
    GetDialogBaseUnits,'GetDialogBaseUnits',\
    GetDisplayAutoRotationPreferences,'GetDisplayAutoRotationPreferences',\
    GetDisplayConfigBufferSizes,'GetDisplayConfigBufferSizes',\
    GetDlgCtrlID,'GetDlgCtrlID',\
    GetDlgItem,'GetDlgItem',\
    GetDlgItemInt,'GetDlgItemInt',\
    GetDlgItemTextA,'GetDlgItemTextA',\
    GetDlgItemTextW,'GetDlgItemTextW',\
    GetDoubleClickTime,'GetDoubleClickTime',\
    GetFocus,'GetFocus',\
    GetForegroundWindow,'GetForegroundWindow',\
    GetGestureConfig,'GetGestureConfig',\
    GetGestureExtraArgs,'GetGestureExtraArgs',\
    GetGestureInfo,'GetGestureInfo',\
    GetGuiResources,'GetGuiResources',\
    GetGUIThreadInfo,'GetGUIThreadInfo',\
    GetIconInfo,'GetIconInfo',\
    GetIconInfoExA,'GetIconInfoExA',\
    GetIconInfoExW,'GetIconInfoExW',\
    GetInputDesktop,'GetInputDesktop',\
    GetInputState,'GetInputState',\
    GetInternalWindowPos,'GetInternalWindowPos',\
    GetKBCodePage,'GetKBCodePage',\
    GetKeyboardLayout,'GetKeyboardLayout',\
    GetKeyboardLayoutList,'GetKeyboardLayoutList',\
    GetKeyboardLayoutNameA,'GetKeyboardLayoutNameA',\
    GetKeyboardLayoutNameW,'GetKeyboardLayoutNameW',\
    GetKeyboardState,'GetKeyboardState',\
    GetKeyboardType,'GetKeyboardType',\
    GetKeyNameTextA,'GetKeyNameTextA',\
    GetKeyNameTextW,'GetKeyNameTextW',\
    GetKeyState,'GetKeyState',\
    GetLastActivePopup,'GetLastActivePopup',\
    GetLastInputInfo,'GetLastInputInfo',\
    GetLayeredWindowAttributes,'GetLayeredWindowAttributes',\
    GetListBoxInfo,'GetListBoxInfo',\
    GetMenu,'GetMenu',\
    GetMenuBarInfo,'GetMenuBarInfo',\
    GetMenuCheckMarkDimensions,'GetMenuCheckMarkDimensions',\
    GetMenuContextHelpId,'GetMenuContextHelpId',\
    GetMenuDefaultItem,'GetMenuDefaultItem',\
    GetMenuInfo,'GetMenuInfo',\
    GetMenuItemCount,'GetMenuItemCount',\
    GetMenuItemID,'GetMenuItemID',\
    GetMenuItemInfoA,'GetMenuItemInfoA',\
    GetMenuItemInfoW,'GetMenuItemInfoW',\
    GetMenuItemRect,'GetMenuItemRect',\
    GetMenuState,'GetMenuState',\
    GetMenuStringA,'GetMenuStringA',\
    GetMenuStringW,'GetMenuStringW',\
    GetMessageA,'GetMessageA',\
    GetMessageExtraInfo,'GetMessageExtraInfo',\
    GetMessagePos,'GetMessagePos',\
    GetMessageTime,'GetMessageTime',\
    GetMessageW,'GetMessageW',\
    GetMonitorInfoA,'GetMonitorInfoA',\
    GetMonitorInfoW,'GetMonitorInfoW',\
    GetMouseMovePointsEx,'GetMouseMovePointsEx',\
    GetNextDlgGroupItem,'GetNextDlgGroupItem',\
    GetNextDlgTabItem,'GetNextDlgTabItem',\
    GetOpenClipboardWindow,'GetOpenClipboardWindow',\
    GetParent,'GetParent',\
    GetPhysicalCursorPos,'GetPhysicalCursorPos',\
    GetPointerCursorId,'GetPointerCursorId',\
    GetPointerDevice,'GetPointerDevice',\
    GetPointerDeviceCursors,'GetPointerDeviceCursors',\
    GetPointerDeviceProperties,'GetPointerDeviceProperties',\
    GetPointerDeviceRects,'GetPointerDeviceRects',\
    GetPointerDevices,'GetPointerDevices',\
    GetPointerFrameInfo,'GetPointerFrameInfo',\
    GetPointerFrameInfoHistory,'GetPointerFrameInfoHistory',\
    GetPointerFramePenInfo,'GetPointerFramePenInfo',\
    GetPointerFramePenInfoHistory,'GetPointerFramePenInfoHistory',\
    GetPointerFrameTouchInfo,'GetPointerFrameTouchInfo',\
    GetPointerFrameTouchInfoHistory,'GetPointerFrameTouchInfoHistory',\
    GetPointerInfo,'GetPointerInfo',\
    GetPointerInfoHistory,'GetPointerInfoHistory',\
    GetPointerPenInfo,'GetPointerPenInfo',\
    GetPointerPenInfoHistory,'GetPointerPenInfoHistory',\
    GetPointerTouchInfo,'GetPointerTouchInfo',\
    GetPointerTouchInfoHistory,'GetPointerTouchInfoHistory',\
    GetPointerType,'GetPointerType',\
    GetPriorityClipboardFormat,'GetPriorityClipboardFormat',\
    GetProcessDefaultLayout,'GetProcessDefaultLayout',\
    GetProcessWindowStation,'GetProcessWindowStation',\
    GetProgmanWindow,'GetProgmanWindow',\
    GetPropA,'GetPropA',\
    GetPropW,'GetPropW',\
    GetQueueStatus,'GetQueueStatus',\
    GetRawInputBuffer,'GetRawInputBuffer',\
    GetRawInputData,'GetRawInputData',\
    GetRawInputDeviceInfoA,'GetRawInputDeviceInfoA',\
    GetRawInputDeviceInfoW,'GetRawInputDeviceInfoW',\
    GetRawInputDeviceList,'GetRawInputDeviceList',\
    GetRawPointerDeviceData,'GetRawPointerDeviceData',\
    GetReasonTitleFromReasonCode,'GetReasonTitleFromReasonCode',\
    GetRegisteredRawInputDevices,'GetRegisteredRawInputDevices',\
    GetScrollBarInfo,'GetScrollBarInfo',\
    GetScrollInfo,'GetScrollInfo',\
    GetScrollPos,'GetScrollPos',\
    GetScrollRange,'GetScrollRange',\
    GetSendMessageReceiver,'GetSendMessageReceiver',\
    GetShellWindow,'GetShellWindow',\
    GetSubMenu,'GetSubMenu',\
    GetSysColor,'GetSysColor',\
    GetSysColorBrush,'GetSysColorBrush',\
    GetSystemMenu,'GetSystemMenu',\
    GetSystemMetrics,'GetSystemMetrics',\
    GetTabbedTextExtentA,'GetTabbedTextExtentA',\
    GetTabbedTextExtentW,'GetTabbedTextExtentW',\
    GetTaskmanWindow,'GetTaskmanWindow',\
    GetThreadDesktop,'GetThreadDesktop',\
    GetTitleBarInfo,'GetTitleBarInfo',\
    GetTopWindow,'GetTopWindow',\
    GetTouchInputInfo,'GetTouchInputInfo',\
    GetUnpredictedMessagePos,'GetUnpredictedMessagePos',\
    GetUpdatedClipboardFormats,'GetUpdatedClipboardFormats',\
    GetUpdateRect,'GetUpdateRect',\
    GetUpdateRgn,'GetUpdateRgn',\
    GetUserObjectInformationA,'GetUserObjectInformationA',\
    GetUserObjectInformationW,'GetUserObjectInformationW',\
    GetUserObjectSecurity,'GetUserObjectSecurity',\
    GetWindow,'GetWindow',\
    GetWindowCompositionAttribute,'GetWindowCompositionAttribute',\
    GetWindowContextHelpId,'GetWindowContextHelpId',\
    GetWindowDC,'GetWindowDC',\
    GetWindowDisplayAffinity,'GetWindowDisplayAffinity',\
    GetWindowFeedbackSetting,'GetWindowFeedbackSetting',\
    GetWindowInfo,'GetWindowInfo',\
    GetWindowLongA,'GetWindowLongA',\
    GetWindowLongPtrA,'GetWindowLongPtrA',\
    GetWindowLongPtrW,'GetWindowLongPtrW',\
    GetWindowLongW,'GetWindowLongW',\
    GetWindowMinimizeRect,'GetWindowMinimizeRect',\
    GetWindowModuleFileName,'GetWindowModuleFileName',\
    GetWindowModuleFileNameA,'GetWindowModuleFileNameA',\
    GetWindowModuleFileNameW,'GetWindowModuleFileNameW',\
    GetWindowPlacement,'GetWindowPlacement',\
    GetWindowRect,'GetWindowRect',\
    GetWindowRgn,'GetWindowRgn',\
    GetWindowRgnBox,'GetWindowRgnBox',\
    GetWindowTextA,'GetWindowTextA',\
    GetWindowTextLengthA,'GetWindowTextLengthA',\
    GetWindowTextLengthW,'GetWindowTextLengthW',\
    GetWindowTextW,'GetWindowTextW',\
    GetWindowThreadProcessId,'GetWindowThreadProcessId',\
    GetWindowWord,'GetWindowWord',\
    GhostWindowFromHungWindow,'GhostWindowFromHungWindow',\
    GrayStringA,'GrayStringA',\
    GrayStringW,'GrayStringW',\
    HideCaret,'HideCaret',\
    HiliteMenuItem,'HiliteMenuItem',\
    HungWindowFromGhostWindow,'HungWindowFromGhostWindow',\
    ImpersonateDdeClientWindow,'ImpersonateDdeClientWindow',\
    IMPGetIMEA,'IMPGetIMEA',\
    IMPGetIMEW,'IMPGetIMEW',\
    IMPQueryIMEA,'IMPQueryIMEA',\
    IMPQueryIMEW,'IMPQueryIMEW',\
    IMPSetIMEA,'IMPSetIMEA',\
    IMPSetIMEW,'IMPSetIMEW',\
    InflateRect,'InflateRect',\
    InitializeLpkHooks,'InitializeLpkHooks',\
    InitializeTouchInjection,'InitializeTouchInjection',\
    InjectTouchInput,'InjectTouchInput',\
    InSendMessage,'InSendMessage',\
    InSendMessageEx,'InSendMessageEx',\
    InsertMenuA,'InsertMenuA',\
    InsertMenuItemA,'InsertMenuItemA',\
    InsertMenuItemW,'InsertMenuItemW',\
    InsertMenuW,'InsertMenuW',\
    InternalGetWindowText,'InternalGetWindowText',\
    IntersectRect,'IntersectRect',\
    InvalidateRect,'InvalidateRect',\
    InvalidateRgn,'InvalidateRgn',\
    InvertRect,'InvertRect',\
    IsCharAlphaA,'IsCharAlphaA',\
    IsCharAlphaNumericA,'IsCharAlphaNumericA',\
    IsCharAlphaNumericW,'IsCharAlphaNumericW',\
    IsCharAlphaW,'IsCharAlphaW',\
    IsCharLowerA,'IsCharLowerA',\
    IsCharLowerW,'IsCharLowerW',\
    IsCharUpperA,'IsCharUpperA',\
    IsCharUpperW,'IsCharUpperW',\
    IsChild,'IsChild',\
    IsClipboardFormatAvailable,'IsClipboardFormatAvailable',\
    IsDialogMessage,'IsDialogMessage',\
    IsDialogMessageA,'IsDialogMessageA',\
    IsDialogMessageW,'IsDialogMessageW',\
    IsDlgButtonChecked,'IsDlgButtonChecked',\
    IsGUIThread,'IsGUIThread',\
    IsHungAppWindow,'IsHungAppWindow',\
    IsIconic,'IsIconic',\
    IsImmersiveProcess,'IsImmersiveProcess',\
    IsMenu,'IsMenu',\
    IsMouseInPointerEnabled,'IsMouseInPointerEnabled',\
    IsProcess16Bit,'IsProcess16Bit',\
    IsProcessDPIAware,'IsProcessDPIAware',\
    IsRectEmpty,'IsRectEmpty',\
    IsServerSideWindow,'IsServerSideWindow',\
    IsSETEnabled,'IsSETEnabled',\
    IsThreadDesktopComposited,'IsThreadDesktopComposited',\
    IsTopLevelWindow,'IsTopLevelWindow',\
    IsTouchWindow,'IsTouchWindow',\
    IsWindow,'IsWindow',\
    IsWindowEnabled,'IsWindowEnabled',\
    IsWindowInDestroy,'IsWindowInDestroy',\
    IsWindowRedirectedForPrint,'IsWindowRedirectedForPrint',\
    IsWindowUnicode,'IsWindowUnicode',\
    IsWindowVisible,'IsWindowVisible',\
    IsWinEventHookInstalled,'IsWinEventHookInstalled',\
    IsWow64Message,'IsWow64Message',\
    IsZoomed,'IsZoomed',\
    keybd_event,'keybd_event',\
    KillTimer,'KillTimer',\
    LoadAcceleratorsA,'LoadAcceleratorsA',\
    LoadAcceleratorsW,'LoadAcceleratorsW',\
    LoadBitmapA,'LoadBitmapA',\
    LoadBitmapW,'LoadBitmapW',\
    LoadCursorA,'LoadCursorA',\
    LoadCursorFromFileA,'LoadCursorFromFileA',\
    LoadCursorFromFileW,'LoadCursorFromFileW',\
    LoadCursorW,'LoadCursorW',\
    LoadIconA,'LoadIconA',\
    LoadIconW,'LoadIconW',\
    LoadImageA,'LoadImageA',\
    LoadImageW,'LoadImageW',\
    LoadKeyboardLayoutA,'LoadKeyboardLayoutA',\
    LoadKeyboardLayoutEx,'LoadKeyboardLayoutEx',\
    LoadKeyboardLayoutW,'LoadKeyboardLayoutW',\
    LoadLocalFonts,'LoadLocalFonts',\
    LoadMenuA,'LoadMenuA',\
    LoadMenuIndirectA,'LoadMenuIndirectA',\
    LoadMenuIndirectW,'LoadMenuIndirectW',\
    LoadMenuW,'LoadMenuW',\
    LoadRemoteFonts,'LoadRemoteFonts',\
    LoadStringA,'LoadStringA',\
    LoadStringW,'LoadStringW',\
    LockSetForegroundWindow,'LockSetForegroundWindow',\
    LockWindowStation,'LockWindowStation',\
    LockWindowUpdate,'LockWindowUpdate',\
    LockWorkStation,'LockWorkStation',\
    LogicalToPhysicalPoint,'LogicalToPhysicalPoint',\
    LookupIconIdFromDirectory,'LookupIconIdFromDirectory',\
    LookupIconIdFromDirectoryEx,'LookupIconIdFromDirectoryEx',\
    MapDialogRect,'MapDialogRect',\
    MapVirtualKeyA,'MapVirtualKeyA',\
    MapVirtualKeyExA,'MapVirtualKeyExA',\
    MapVirtualKeyExW,'MapVirtualKeyExW',\
    MapVirtualKeyW,'MapVirtualKeyW',\
    MapWindowPoints,'MapWindowPoints',\
    MB_GetString,'MB_GetString',\
    MBToWCSEx,'MBToWCSEx',\
    MenuItemFromPoint,'MenuItemFromPoint',\
    MenuWindowProcA,'MenuWindowProcA',\
    MenuWindowProcW,'MenuWindowProcW',\
    MessageBeep,'MessageBeep',\
    MessageBoxA,'MessageBoxA',\
    MessageBoxExA,'MessageBoxExA',\
    MessageBoxExW,'MessageBoxExW',\
    MessageBoxIndirectA,'MessageBoxIndirectA',\
    MessageBoxIndirectW,'MessageBoxIndirectW',\
    MessageBoxTimeoutA,'MessageBoxTimeoutA',\
    MessageBoxTimeoutW,'MessageBoxTimeoutW',\
    MessageBoxW,'MessageBoxW',\
    ModifyMenuA,'ModifyMenuA',\
    ModifyMenuW,'ModifyMenuW',\
    MonitorFromPoint,'MonitorFromPoint',\
    MonitorFromRect,'MonitorFromRect',\
    MonitorFromWindow,'MonitorFromWindow',\
    mouse_event,'mouse_event',\
    MoveWindow,'MoveWindow',\
    MsgWaitForMultipleObjects,'MsgWaitForMultipleObjects',\
    MsgWaitForMultipleObjectsEx,'MsgWaitForMultipleObjectsEx',\
    NotifyWinEvent,'NotifyWinEvent',\
    OemKeyScan,'OemKeyScan',\
    OemToCharA,'OemToCharA',\
    OemToCharBuffA,'OemToCharBuffA',\
    OemToCharBuffW,'OemToCharBuffW',\
    OemToCharW,'OemToCharW',\
    OffsetRect,'OffsetRect',\
    OpenClipboard,'OpenClipboard',\
    OpenDesktopA,'OpenDesktopA',\
    OpenDesktopW,'OpenDesktopW',\
    OpenIcon,'OpenIcon',\
    OpenInputDesktop,'OpenInputDesktop',\
    OpenWindowStationA,'OpenWindowStationA',\
    OpenWindowStationW,'OpenWindowStationW',\
    PackDDElParam,'PackDDElParam',\
    PackTouchHitTestingProximityEvaluation,'PackTouchHitTestingProximityEvaluation',\
    PaintDesktop,'PaintDesktop',\
    PeekMessageA,'PeekMessageA',\
    PeekMessageW,'PeekMessageW',\
    PhysicalToLogicalPoint,'PhysicalToLogicalPoint',\
    PhysicalToLogicalPointForPerMonitorDPI,'PhysicalToLogicalPointForPerMonitorDPI',\
    PostMessageA,'PostMessageA',\
    PostMessageW,'PostMessageW',\
    PostQuitMessage,'PostQuitMessage',\
    PostThreadMessageA,'PostThreadMessageA',\
    PostThreadMessageW,'PostThreadMessageW',\
    PrintWindow,'PrintWindow',\
    PrivateExtractIconExA,'PrivateExtractIconExA',\
    PrivateExtractIconExW,'PrivateExtractIconExW',\
    PrivateExtractIconsA,'PrivateExtractIconsA',\
    PrivateExtractIconsW,'PrivateExtractIconsW',\
    PtInRect,'PtInRect',\
    QueryDisplayConfig,'QueryDisplayConfig',\
    QuerySendMessage,'QuerySendMessage',\
    RealChildWindowFromPoint,'RealChildWindowFromPoint',\
    RealGetWindowClass,'RealGetWindowClass',\
    RealGetWindowClassA,'RealGetWindowClassA',\
    RealGetWindowClassW,'RealGetWindowClassW',\
    RecordShutdownReason,'RecordShutdownReason',\
    RedrawWindow,'RedrawWindow',\
    RegisterClassA,'RegisterClassA',\
    RegisterClassExA,'RegisterClassExA',\
    RegisterClassExW,'RegisterClassExW',\
    RegisterClassW,'RegisterClassW',\
    RegisterClipboardFormatA,'RegisterClipboardFormatA',\
    RegisterClipboardFormatW,'RegisterClipboardFormatW',\
    RegisterDeviceNotificationA,'RegisterDeviceNotificationA',\
    RegisterDeviceNotificationW,'RegisterDeviceNotificationW',\
    RegisterHotKey,'RegisterHotKey',\
    RegisterLogonProcess,'RegisterLogonProcess',\
    RegisterMessagePumpHook,'RegisterMessagePumpHook',\
    RegisterPointerDeviceNotifications,'RegisterPointerDeviceNotifications',\
    RegisterPointerInputTarget,'RegisterPointerInputTarget',\
    RegisterPowerSettingNotification,'RegisterPowerSettingNotification',\
    RegisterRawInputDevices,'RegisterRawInputDevices',\
    RegisterServicesProcess,'RegisterServicesProcess',\
    RegisterShellHookWindow,'RegisterShellHookWindow',\
    RegisterSuspendResumeNotification,'RegisterSuspendResumeNotification',\
    RegisterSystemThread,'RegisterSystemThread',\
    RegisterTasklist,'RegisterTasklist',\
    RegisterTouchHitTestingWindow,'RegisterTouchHitTestingWindow',\
    RegisterTouchWindow,'RegisterTouchWindow',\
    RegisterUserApiHook,'RegisterUserApiHook',\
    RegisterWindowMessageA,'RegisterWindowMessageA',\
    RegisterWindowMessageW,'RegisterWindowMessageW',\
    ReleaseCapture,'ReleaseCapture',\
    ReleaseDC,'ReleaseDC',\
    RemoveClipboardFormatListener,'RemoveClipboardFormatListener',\
    RemoveMenu,'RemoveMenu',\
    RemovePropA,'RemovePropA',\
    RemovePropW,'RemovePropW',\
    ReplyMessage,'ReplyMessage',\
    ReuseDDElParam,'ReuseDDElParam',\
    ScreenToClient,'ScreenToClient',\
    ScrollDC,'ScrollDC',\
    ScrollWindow,'ScrollWindow',\
    ScrollWindowEx,'ScrollWindowEx',\
    SendDlgItemMessageA,'SendDlgItemMessageA',\
    SendDlgItemMessageW,'SendDlgItemMessageW',\
    SendIMEMessageExA,'SendIMEMessageExA',\
    SendIMEMessageExW,'SendIMEMessageExW',\
    SendInput,'SendInput',\
    SendMessageA,'SendMessageA',\
    SendMessageCallbackA,'SendMessageCallbackA',\
    SendMessageCallbackW,'SendMessageCallbackW',\
    SendMessageTimeoutA,'SendMessageTimeoutA',\
    SendMessageTimeoutW,'SendMessageTimeoutW',\
    SendMessageW,'SendMessageW',\
    SendNotifyMessageA,'SendNotifyMessageA',\
    SendNotifyMessageW,'SendNotifyMessageW',\
    SetActiveWindow,'SetActiveWindow',\
    SetCapture,'SetCapture',\
    SetCaretBlinkTime,'SetCaretBlinkTime',\
    SetCaretPos,'SetCaretPos',\
    SetClassLongA,'SetClassLongA',\
    SetClassLongPtrA,'SetClassLongPtrA',\
    SetClassLongPtrW,'SetClassLongPtrW',\
    SetClassLongW,'SetClassLongW',\
    SetClassWord,'SetClassWord',\
    SetClipboardData,'SetClipboardData',\
    SetClipboardViewer,'SetClipboardViewer',\
    SetCoalescableTimer,'SetCoalescableTimer',\
    SetCursor,'SetCursor',\
    SetCursorPos,'SetCursorPos',\
    SetDebugErrorLevel,'SetDebugErrorLevel',\
    SetDisplayAutoRotationPreferences,'SetDisplayAutoRotationPreferences',\
    SetDisplayConfig,'SetDisplayConfig',\
    SetDlgItemInt,'SetDlgItemInt',\
    SetDlgItemTextA,'SetDlgItemTextA',\
    SetDlgItemTextW,'SetDlgItemTextW',\
    SetDoubleClickTime,'SetDoubleClickTime',\
    SetFocus,'SetFocus',\
    SetForegroundWindow,'SetForegroundWindow',\
    SetGestureConfig,'SetGestureConfig',\
    SetInternalWindowPos,'SetInternalWindowPos',\
    SetKeyboardState,'SetKeyboardState',\
    SetLastErrorEx,'SetLastErrorEx',\
    SetLayeredWindowAttributes,'SetLayeredWindowAttributes',\
    SetLogonNotifyWindow,'SetLogonNotifyWindow',\
    SetMenu,'SetMenu',\
    SetMenuContextHelpId,'SetMenuContextHelpId',\
    SetMenuDefaultItem,'SetMenuDefaultItem',\
    SetMenuInfo,'SetMenuInfo',\
    SetMenuItemBitmaps,'SetMenuItemBitmaps',\
    SetMenuItemInfoA,'SetMenuItemInfoA',\
    SetMenuItemInfoW,'SetMenuItemInfoW',\
    SetMessageExtraInfo,'SetMessageExtraInfo',\
    SetMessageQueue,'SetMessageQueue',\
    SetParent,'SetParent',\
    SetPhysicalCursorPos,'SetPhysicalCursorPos',\
    SetProcessDefaultLayout,'SetProcessDefaultLayout',\
    SetProcessDPIAware,'SetProcessDPIAware',\
    SetProcessRestrictionExemption,'SetProcessRestrictionExemption',\
    SetProcessWindowStation,'SetProcessWindowStation',\
    SetProgmanWindow,'SetProgmanWindow',\
    SetPropA,'SetPropA',\
    SetPropW,'SetPropW',\
    SetRect,'SetRect',\
    SetRectEmpty,'SetRectEmpty',\
    SetScrollInfo,'SetScrollInfo',\
    SetScrollPos,'SetScrollPos',\
    SetScrollRange,'SetScrollRange',\
    SetShellWindow,'SetShellWindow',\
    SetShellWindowEx,'SetShellWindowEx',\
    SetSysColors,'SetSysColors',\
    SetSysColorsTemp,'SetSysColorsTemp',\
    SetSystemCursor,'SetSystemCursor',\
    SetSystemMenu,'SetSystemMenu',\
    SetTaskmanWindow,'SetTaskmanWindow',\
    SetThreadDesktop,'SetThreadDesktop',\
    SetTimer,'SetTimer',\
    SetUserObjectInformationA,'SetUserObjectInformationA',\
    SetUserObjectInformationW,'SetUserObjectInformationW',\
    SetUserObjectSecurity,'SetUserObjectSecurity',\
    SetWindowCompositionAttribute,'SetWindowCompositionAttribute',\
    SetWindowContextHelpId,'SetWindowContextHelpId',\
    SetWindowDisplayAffinity,'SetWindowDisplayAffinity',\
    SetWindowFeedbackSetting,'SetWindowFeedbackSetting',\
    SetWindowLongA,'SetWindowLongA',\
    SetWindowLongPtrA,'SetWindowLongPtrA',\
    SetWindowLongPtrW,'SetWindowLongPtrW',\
    SetWindowLongW,'SetWindowLongW',\
    SetWindowPlacement,'SetWindowPlacement',\
    SetWindowPos,'SetWindowPos',\
    SetWindowRgn,'SetWindowRgn',\
    SetWindowsHookA,'SetWindowsHookA',\
    SetWindowsHookExA,'SetWindowsHookExA',\
    SetWindowsHookExW,'SetWindowsHookExW',\
    SetWindowsHookW,'SetWindowsHookW',\
    SetWindowStationUser,'SetWindowStationUser',\
    SetWindowTextA,'SetWindowTextA',\
    SetWindowTextW,'SetWindowTextW',\
    SetWindowWord,'SetWindowWord',\
    SetWinEventHook,'SetWinEventHook',\
    ShowCaret,'ShowCaret',\
    ShowCursor,'ShowCursor',\
    ShowOwnedPopups,'ShowOwnedPopups',\
    ShowScrollBar,'ShowScrollBar',\
    ShowStartGlass,'ShowStartGlass',\
    ShowSystemCursor,'ShowSystemCursor',\
    ShowWindow,'ShowWindow',\
    ShowWindowAsync,'ShowWindowAsync',\
    ShutdownBlockReasonCreate,'ShutdownBlockReasonCreate',\
    ShutdownBlockReasonDestroy,'ShutdownBlockReasonDestroy',\
    ShutdownBlockReasonQuery,'ShutdownBlockReasonQuery',\
    SkipPointerFrameMessages,'SkipPointerFrameMessages',\
    SoundSentry,'SoundSentry',\
    SubtractRect,'SubtractRect',\
    SwapMouseButton,'SwapMouseButton',\
    SwitchDesktop,'SwitchDesktop',\
    SwitchToThisWindow,'SwitchToThisWindow',\
    SystemParametersInfoA,'SystemParametersInfoA',\
    SystemParametersInfoW,'SystemParametersInfoW',\
    TabbedTextOutA,'TabbedTextOutA',\
    TabbedTextOutW,'TabbedTextOutW',\
    TileChildWindows,'TileChildWindows',\
    TileWindows,'TileWindows',\
    ToAscii,'ToAscii',\
    ToAsciiEx,'ToAsciiEx',\
    ToUnicode,'ToUnicode',\
    ToUnicodeEx,'ToUnicodeEx',\
    TrackMouseEvent,'TrackMouseEvent',\
    TrackPopupMenu,'TrackPopupMenu',\
    TrackPopupMenuEx,'TrackPopupMenuEx',\
    TranslateAccelerator,'TranslateAccelerator',\
    TranslateAcceleratorA,'TranslateAcceleratorA',\
    TranslateAcceleratorW,'TranslateAcceleratorW',\
    TranslateMDISysAccel,'TranslateMDISysAccel',\
    TranslateMessage,'TranslateMessage',\
    TranslateMessageEx,'TranslateMessageEx',\
    UnhookWindowsHook,'UnhookWindowsHook',\
    UnhookWindowsHookEx,'UnhookWindowsHookEx',\
    UnhookWinEvent,'UnhookWinEvent',\
    UnionRect,'UnionRect',\
    UnloadKeyboardLayout,'UnloadKeyboardLayout',\
    UnlockWindowStation,'UnlockWindowStation',\
    UnpackDDElParam,'UnpackDDElParam',\
    UnregisterClassA,'UnregisterClassA',\
    UnregisterClassW,'UnregisterClassW',\
    UnregisterDeviceNotification,'UnregisterDeviceNotification',\
    UnregisterHotKey,'UnregisterHotKey',\
    UnregisterMessagePumpHook,'UnregisterMessagePumpHook',\
    UnregisterPointerInputTarget,'UnregisterPointerInputTarget',\
    UnregisterPowerSettingNotification,'UnregisterPowerSettingNotification',\
    UnregisterSuspendResumeNotification,'UnregisterSuspendResumeNotification',\
    UnregisterTouchWindow,'UnregisterTouchWindow',\
    UnregisterUserApiHook,'UnregisterUserApiHook',\
    UpdateLayeredWindow,'UpdateLayeredWindow',\
    UpdateLayeredWindowIndirect,'UpdateLayeredWindowIndirect',\
    UpdateWindow,'UpdateWindow',\
    UpdateWindowTransform,'UpdateWindowTransform',\
    UserHandleGrantAccess,'UserHandleGrantAccess',\
    UserRealizePalette,'UserRealizePalette',\
    UserRegisterWowHandlers,'UserRegisterWowHandlers',\
    ValidateRect,'ValidateRect',\
    ValidateRgn,'ValidateRgn',\
    VkKeyScanA,'VkKeyScanA',\
    VkKeyScanExA,'VkKeyScanExA',\
    VkKeyScanExW,'VkKeyScanExW',\
    VkKeyScanW,'VkKeyScanW',\
    WaitForInputIdle,'WaitForInputIdle',\
    WaitMessage,'WaitMessage',\
    WindowFromDC,'WindowFromDC',\
    WindowFromPoint,'WindowFromPoint',\
    WinHelpA,'WinHelpA',\
    WinHelpW,'WinHelpW',\
    WINNLSEnableIME,'WINNLSEnableIME',\
    wsprintfA,'wsprintfA',\
    wsprintfW,'wsprintfW',\
    wvsprintfA,'wvsprintfA',\
    wvsprintfW,'wvsprintfW'
    api GetClassLongPtr,\
        GetWindowLongPtr,\
        SetClassLongPtr,\
        SetWindowLongPtr
else
    import user32,\
    ActivateKeyboardLayout,'ActivateKeyboardLayout',\
    AddClipboardFormatListener,'AddClipboardFormatListener',\
    AdjustWindowRect,'AdjustWindowRect',\
    AdjustWindowRectEx,'AdjustWindowRectEx',\
    AllowForegroundActivation,'AllowForegroundActivation',\
    AllowSetForegroundWindow,'AllowSetForegroundWindow',\
    AnimateWindow,'AnimateWindow',\
    AnyPopup,'AnyPopup',\
    AppendMenuA,'AppendMenuA',\
    AppendMenuW,'AppendMenuW',\
    ArrangeIconicWindows,'ArrangeIconicWindows',\
    AttachThreadInput,'AttachThreadInput',\
    BeginDeferWindowPos,'BeginDeferWindowPos',\
    BeginPaint,'BeginPaint',\
    BlockInput,'BlockInput',\
    BringWindowToTop,'BringWindowToTop',\
    BroadcastSystemMessageA,'BroadcastSystemMessageA',\
    BroadcastSystemMessageExA,'BroadcastSystemMessageExA',\
    BroadcastSystemMessageExW,'BroadcastSystemMessageExW',\
    BroadcastSystemMessageW,'BroadcastSystemMessageW',\
    BuildReasonArray,'BuildReasonArray',\
    CalculatePopupWindowPosition,'CalculatePopupWindowPosition',\
    CallMsgFilterA,'CallMsgFilterA',\
    CallMsgFilterW,'CallMsgFilterW',\
    CallNextHookEx,'CallNextHookEx',\
    CallWindowProcA,'CallWindowProcA',\
    CallWindowProcW,'CallWindowProcW',\
    CancelShutdown,'CancelShutdown',\
    CascadeChildWindows,'CascadeChildWindows',\
    CascadeWindows,'CascadeWindows',\
    ChangeClipboardChain,'ChangeClipboardChain',\
    ChangeDisplaySettingsA,'ChangeDisplaySettingsA',\
    ChangeDisplaySettingsExA,'ChangeDisplaySettingsExA',\
    ChangeDisplaySettingsExW,'ChangeDisplaySettingsExW',\
    ChangeDisplaySettingsW,'ChangeDisplaySettingsW',\
    ChangeMenuA,'ChangeMenuA',\
    ChangeMenuW,'ChangeMenuW',\
    ChangeWindowMessageFilter,'ChangeWindowMessageFilter',\
    ChangeWindowMessageFilterEx,'ChangeWindowMessageFilterEx',\
    CharLowerA,'CharLowerA',\
    CharLowerBuffA,'CharLowerBuffA',\
    CharLowerBuffW,'CharLowerBuffW',\
    CharLowerW,'CharLowerW',\
    CharNextA,'CharNextA',\
    CharNextExA,'CharNextExA',\
    CharNextW,'CharNextW',\
    CharPrevA,'CharPrevA',\
    CharPrevExA,'CharPrevExA',\
    CharPrevW,'CharPrevW',\
    CharToOemA,'CharToOemA',\
    CharToOemBuffA,'CharToOemBuffA',\
    CharToOemBuffW,'CharToOemBuffW',\
    CharToOemW,'CharToOemW',\
    CharUpperA,'CharUpperA',\
    CharUpperBuffA,'CharUpperBuffA',\
    CharUpperBuffW,'CharUpperBuffW',\
    CharUpperW,'CharUpperW',\
    CheckDlgButton,'CheckDlgButton',\
    CheckMenuItem,'CheckMenuItem',\
    CheckMenuRadioItem,'CheckMenuRadioItem',\
    CheckRadioButton,'CheckRadioButton',\
    ChildWindowFromPoint,'ChildWindowFromPoint',\
    ChildWindowFromPointEx,'ChildWindowFromPointEx',\
    ClientThreadSetup,'ClientThreadSetup',\
    ClientToScreen,'ClientToScreen',\
    CliImmSetHotKey,'CliImmSetHotKey',\
    ClipCursor,'ClipCursor',\
    CloseClipboard,'CloseClipboard',\
    CloseDesktop,'CloseDesktop',\
    CloseGestureInfoHandle,'CloseGestureInfoHandle',\
    CloseTouchInputHandle,'CloseTouchInputHandle',\
    CloseWindow,'CloseWindow',\
    CloseWindowStation,'CloseWindowStation',\
    CopyAcceleratorTableA,'CopyAcceleratorTableA',\
    CopyAcceleratorTableW,'CopyAcceleratorTableW',\
    CopyIcon,'CopyIcon',\
    CopyImage,'CopyImage',\
    CopyRect,'CopyRect',\
    CountClipboardFormats,'CountClipboardFormats',\
    CreateAcceleratorTableA,'CreateAcceleratorTableA',\
    CreateAcceleratorTableW,'CreateAcceleratorTableW',\
    CreateCaret,'CreateCaret',\
    CreateCursor,'CreateCursor',\
    CreateDesktopA,'CreateDesktopA',\
    CreateDesktopExA,'CreateDesktopExA',\
    CreateDesktopExW,'CreateDesktopExW',\
    CreateDesktopW,'CreateDesktopW',\
    CreateDialogIndirectParamA,'CreateDialogIndirectParamA',\
    CreateDialogIndirectParamAorW,'CreateDialogIndirectParamAorW',\
    CreateDialogIndirectParamW,'CreateDialogIndirectParamW',\
    CreateDialogParamA,'CreateDialogParamA',\
    CreateDialogParamW,'CreateDialogParamW',\
    CreateIcon,'CreateIcon',\
    CreateIconFromResource,'CreateIconFromResource',\
    CreateIconFromResourceEx,'CreateIconFromResourceEx',\
    CreateIconIndirect,'CreateIconIndirect',\
    CreateMDIWindowA,'CreateMDIWindowA',\
    CreateMDIWindowW,'CreateMDIWindowW',\
    CreateMenu,'CreateMenu',\
    CreatePopupMenu,'CreatePopupMenu',\
    CreateSystemThreads,'CreateSystemThreads',\
    CreateWindowExA,'CreateWindowExA',\
    CreateWindowExW,'CreateWindowExW',\
    CreateWindowInBand,'CreateWindowInBand',\
    CreateWindowStationA,'CreateWindowStationA',\
    CreateWindowStationW,'CreateWindowStationW',\
    CsrBroadcastSystemMessageExW,'CsrBroadcastSystemMessageExW',\
    CtxInitUser32,'CtxInitUser32',\
    DdeAbandonTransaction,'DdeAbandonTransaction',\
    DdeAccessData,'DdeAccessData',\
    DdeAddData,'DdeAddData',\
    DdeClientTransaction,'DdeClientTransaction',\
    DdeCmpStringHandles,'DdeCmpStringHandles',\
    DdeConnect,'DdeConnect',\
    DdeConnectList,'DdeConnectList',\
    DdeCreateDataHandle,'DdeCreateDataHandle',\
    DdeCreateStringHandleA,'DdeCreateStringHandleA',\
    DdeCreateStringHandleW,'DdeCreateStringHandleW',\
    DdeDisconnect,'DdeDisconnect',\
    DdeDisconnectList,'DdeDisconnectList',\
    DdeEnableCallback,'DdeEnableCallback',\
    DdeFreeDataHandle,'DdeFreeDataHandle',\
    DdeFreeStringHandle,'DdeFreeStringHandle',\
    DdeGetData,'DdeGetData',\
    DdeGetLastError,'DdeGetLastError',\
    DdeGetQualityOfService,'DdeGetQualityOfService',\
    DdeImpersonateClient,'DdeImpersonateClient',\
    DdeInitializeA,'DdeInitializeA',\
    DdeInitializeW,'DdeInitializeW',\
    DdeKeepStringHandle,'DdeKeepStringHandle',\
    DdeNameService,'DdeNameService',\
    DdePostAdvise,'DdePostAdvise',\
    DdeQueryConvInfo,'DdeQueryConvInfo',\
    DdeQueryNextServer,'DdeQueryNextServer',\
    DdeQueryStringA,'DdeQueryStringA',\
    DdeQueryStringW,'DdeQueryStringW',\
    DdeReconnect,'DdeReconnect',\
    DdeSetQualityOfService,'DdeSetQualityOfService',\
    DdeSetUserHandle,'DdeSetUserHandle',\
    DdeUnaccessData,'DdeUnaccessData',\
    DdeUninitialize,'DdeUninitialize',\
    DefDlgProcA,'DefDlgProcA',\
    DefDlgProcW,'DefDlgProcW',\
    DeferWindowPos,'DeferWindowPos',\
    DefFrameProcA,'DefFrameProcA',\
    DefFrameProcW,'DefFrameProcW',\
    DefMDIChildProcA,'DefMDIChildProcA',\
    DefMDIChildProcW,'DefMDIChildProcW',\
    DefRawInputProc,'DefRawInputProc',\
    DefWindowProcA,'DefWindowProcA',\
    DefWindowProcW,'DefWindowProcW',\
    DeleteMenu,'DeleteMenu',\
    DeregisterShellHookWindow,'DeregisterShellHookWindow',\
    DestroyAcceleratorTable,'DestroyAcceleratorTable',\
    DestroyCaret,'DestroyCaret',\
    DestroyCursor,'DestroyCursor',\
    DestroyIcon,'DestroyIcon',\
    DestroyMenu,'DestroyMenu',\
    DestroyReasons,'DestroyReasons',\
    DestroyWindow,'DestroyWindow',\
    DeviceEventWorker,'DeviceEventWorker',\
    DialogBoxIndirectParamA,'DialogBoxIndirectParamA',\
    DialogBoxIndirectParamW,'DialogBoxIndirectParamW',\
    DialogBoxParamA,'DialogBoxParamA',\
    DialogBoxParamW,'DialogBoxParamW',\
    DisableProcessWindowsGhosting,'DisableProcessWindowsGhosting',\
    DispatchMessageA,'DispatchMessageA',\
    DispatchMessageW,'DispatchMessageW',\
    DisplayConfigGetDeviceInfo,'DisplayConfigGetDeviceInfo',\
    DisplayConfigSetDeviceInfo,'DisplayConfigSetDeviceInfo',\
    DlgDirListA,'DlgDirListA',\
    DlgDirListComboBoxA,'DlgDirListComboBoxA',\
    DlgDirListComboBoxW,'DlgDirListComboBoxW',\
    DlgDirListW,'DlgDirListW',\
    DlgDirSelectComboBoxExA,'DlgDirSelectComboBoxExA',\
    DlgDirSelectComboBoxExW,'DlgDirSelectComboBoxExW',\
    DlgDirSelectExA,'DlgDirSelectExA',\
    DlgDirSelectExW,'DlgDirSelectExW',\
    DragDetect,'DragDetect',\
    DragObject,'DragObject',\
    DrawAnimatedRects,'DrawAnimatedRects',\
    DrawCaption,'DrawCaption',\
    DrawEdge,'DrawEdge',\
    DrawFocusRect,'DrawFocusRect',\
    DrawFrame,'DrawFrame',\
    DrawFrameControl,'DrawFrameControl',\
    DrawIcon,'DrawIcon',\
    DrawIconEx,'DrawIconEx',\
    DrawMenuBar,'DrawMenuBar',\
    DrawMenuBarTemp,'DrawMenuBarTemp',\
    DrawStateA,'DrawStateA',\
    DrawStateW,'DrawStateW',\
    DrawTextA,'DrawTextA',\
    DrawTextExA,'DrawTextExA',\
    DrawTextExW,'DrawTextExW',\
    DrawTextW,'DrawTextW',\
    DwmGetDxSharedSurface,'DwmGetDxSharedSurface',\
    EditWndProc,'EditWndProc',\
    EmptyClipboard,'EmptyClipboard',\
    EnableMenuItem,'EnableMenuItem',\
    EnableMouseInPointer,'EnableMouseInPointer',\
    EnableScrollBar,'EnableScrollBar',\
    EnableWindow,'EnableWindow',\
    EndDeferWindowPos,'EndDeferWindowPos',\
    EndDialog,'EndDialog',\
    EndMenu,'EndMenu',\
    EndPaint,'EndPaint',\
    EndTask,'EndTask',\
    EnumChildWindows,'EnumChildWindows',\
    EnumClipboardFormats,'EnumClipboardFormats',\
    EnumDesktopsA,'EnumDesktopsA',\
    EnumDesktopsW,'EnumDesktopsW',\
    EnumDesktopWindows,'EnumDesktopWindows',\
    EnumDisplayDevicesA,'EnumDisplayDevicesA',\
    EnumDisplayDevicesW,'EnumDisplayDevicesW',\
    EnumDisplayMonitors,'EnumDisplayMonitors',\
    EnumDisplaySettingsA,'EnumDisplaySettingsA',\
    EnumDisplaySettingsExA,'EnumDisplaySettingsExA',\
    EnumDisplaySettingsExW,'EnumDisplaySettingsExW',\
    EnumDisplaySettingsW,'EnumDisplaySettingsW',\
    EnumPropsA,'EnumPropsA',\
    EnumPropsExA,'EnumPropsExA',\
    EnumPropsExW,'EnumPropsExW',\
    EnumPropsW,'EnumPropsW',\
    EnumThreadWindows,'EnumThreadWindows',\
    EnumWindows,'EnumWindows',\
    EnumWindowStationsA,'EnumWindowStationsA',\
    EnumWindowStationsW,'EnumWindowStationsW',\
    EqualRect,'EqualRect',\
    EvaluateProximityToPolygon,'EvaluateProximityToPolygon',\
    EvaluateProximityToRect,'EvaluateProximityToRect',\
    ExcludeUpdateRgn,'ExcludeUpdateRgn',\
    ExitWindowsEx,'ExitWindowsEx',\
    FillRect,'FillRect',\
    FindWindowA,'FindWindowA',\
    FindWindowExA,'FindWindowExA',\
    FindWindowExW,'FindWindowExW',\
    FindWindowW,'FindWindowW',\
    FlashWindow,'FlashWindow',\
    FlashWindowEx,'FlashWindowEx',\
    FrameRect,'FrameRect',\
    FreeDDElParam,'FreeDDElParam',\
    FrostCrashedWindow,'FrostCrashedWindow',\
    GetActiveWindow,'GetActiveWindow',\
    GetAltTabInfoA,'GetAltTabInfoA',\
    GetAltTabInfoW,'GetAltTabInfoW',\
    GetAncestor,'GetAncestor',\
    GetAppCompatFlags,'GetAppCompatFlags',\
    GetAppCompatFlags2,'GetAppCompatFlags2',\
    GetAsyncKeyState,'GetAsyncKeyState',\
    GetAutoRotationState,'GetAutoRotationState',\
    GetCapture,'GetCapture',\
    GetCaretBlinkTime,'GetCaretBlinkTime',\
    GetCaretPos,'GetCaretPos',\
    GetCIMSSM,'GetCIMSSM',\
    GetClassInfoA,'GetClassInfoA',\
    GetClassInfoExA,'GetClassInfoExA',\
    GetClassInfoExW,'GetClassInfoExW',\
    GetClassInfoW,'GetClassInfoW',\
    GetClassLongA,'GetClassLongA',\
    GetClassLongW,'GetClassLongW',\
    GetClassNameA,'GetClassNameA',\
    GetClassNameW,'GetClassNameW',\
    GetClassWord,'GetClassWord',\
    GetClientRect,'GetClientRect',\
    GetClipboardData,'GetClipboardData',\
    GetClipboardFormatNameA,'GetClipboardFormatNameA',\
    GetClipboardFormatNameW,'GetClipboardFormatNameW',\
    GetClipboardOwner,'GetClipboardOwner',\
    GetClipboardSequenceNumber,'GetClipboardSequenceNumber',\
    GetClipboardViewer,'GetClipboardViewer',\
    GetClipCursor,'GetClipCursor',\
    GetComboBoxInfo,'GetComboBoxInfo',\
    GetCurrentInputMessageSource,'GetCurrentInputMessageSource',\
    GetCursor,'GetCursor',\
    GetCursorInfo,'GetCursorInfo',\
    GetCursorPos,'GetCursorPos',\
    GetDC,'GetDC',\
    GetDCEx,'GetDCEx',\
    GetDesktopWindow,'GetDesktopWindow',\
    GetDialogBaseUnits,'GetDialogBaseUnits',\
    GetDisplayAutoRotationPreferences,'GetDisplayAutoRotationPreferences',\
    GetDisplayConfigBufferSizes,'GetDisplayConfigBufferSizes',\
    GetDlgCtrlID,'GetDlgCtrlID',\
    GetDlgItem,'GetDlgItem',\
    GetDlgItemInt,'GetDlgItemInt',\
    GetDlgItemTextA,'GetDlgItemTextA',\
    GetDlgItemTextW,'GetDlgItemTextW',\
    GetDoubleClickTime,'GetDoubleClickTime',\
    GetFocus,'GetFocus',\
    GetForegroundWindow,'GetForegroundWindow',\
    GetGestureConfig,'GetGestureConfig',\
    GetGestureExtraArgs,'GetGestureExtraArgs',\
    GetGestureInfo,'GetGestureInfo',\
    GetGuiResources,'GetGuiResources',\
    GetGUIThreadInfo,'GetGUIThreadInfo',\
    GetIconInfo,'GetIconInfo',\
    GetIconInfoExA,'GetIconInfoExA',\
    GetIconInfoExW,'GetIconInfoExW',\
    GetInputDesktop,'GetInputDesktop',\
    GetInputState,'GetInputState',\
    GetKBCodePage,'GetKBCodePage',\
    GetKeyboardLayout,'GetKeyboardLayout',\
    GetKeyboardLayoutList,'GetKeyboardLayoutList',\
    GetKeyboardLayoutNameA,'GetKeyboardLayoutNameA',\
    GetKeyboardLayoutNameW,'GetKeyboardLayoutNameW',\
    GetKeyboardState,'GetKeyboardState',\
    GetKeyboardType,'GetKeyboardType',\
    GetKeyNameTextA,'GetKeyNameTextA',\
    GetKeyNameTextW,'GetKeyNameTextW',\
    GetKeyState,'GetKeyState',\
    GetLastActivePopup,'GetLastActivePopup',\
    GetLastInputInfo,'GetLastInputInfo',\
    GetLayeredWindowAttributes,'GetLayeredWindowAttributes',\
    GetListBoxInfo,'GetListBoxInfo',\
    GetMenu,'GetMenu',\
    GetMenuBarInfo,'GetMenuBarInfo',\
    GetMenuCheckMarkDimensions,'GetMenuCheckMarkDimensions',\
    GetMenuContextHelpId,'GetMenuContextHelpId',\
    GetMenuDefaultItem,'GetMenuDefaultItem',\
    GetMenuInfo,'GetMenuInfo',\
    GetMenuItemCount,'GetMenuItemCount',\
    GetMenuItemID,'GetMenuItemID',\
    GetMenuItemInfoA,'GetMenuItemInfoA',\
    GetMenuItemInfoW,'GetMenuItemInfoW',\
    GetMenuItemRect,'GetMenuItemRect',\
    GetMenuState,'GetMenuState',\
    GetMenuStringA,'GetMenuStringA',\
    GetMenuStringW,'GetMenuStringW',\
    GetMessageA,'GetMessageA',\
    GetMessageExtraInfo,'GetMessageExtraInfo',\
    GetMessagePos,'GetMessagePos',\
    GetMessageTime,'GetMessageTime',\
    GetMessageW,'GetMessageW',\
    GetMonitorInfoA,'GetMonitorInfoA',\
    GetMonitorInfoW,'GetMonitorInfoW',\
    GetMouseMovePointsEx,'GetMouseMovePointsEx',\
    GetNextDlgGroupItem,'GetNextDlgGroupItem',\
    GetNextDlgTabItem,'GetNextDlgTabItem',\
    GetOpenClipboardWindow,'GetOpenClipboardWindow',\
    GetParent,'GetParent',\
    GetPhysicalCursorPos,'GetPhysicalCursorPos',\
    GetPointerCursorId,'GetPointerCursorId',\
    GetPointerDevice,'GetPointerDevice',\
    GetPointerDeviceCursors,'GetPointerDeviceCursors',\
    GetPointerDeviceProperties,'GetPointerDeviceProperties',\
    GetPointerDeviceRects,'GetPointerDeviceRects',\
    GetPointerDevices,'GetPointerDevices',\
    GetPointerFrameInfo,'GetPointerFrameInfo',\
    GetPointerFrameInfoHistory,'GetPointerFrameInfoHistory',\
    GetPointerFramePenInfo,'GetPointerFramePenInfo',\
    GetPointerFramePenInfoHistory,'GetPointerFramePenInfoHistory',\
    GetPointerFrameTouchInfo,'GetPointerFrameTouchInfo',\
    GetPointerFrameTouchInfoHistory,'GetPointerFrameTouchInfoHistory',\
    GetPointerInfo,'GetPointerInfo',\
    GetPointerInfoHistory,'GetPointerInfoHistory',\
    GetPointerPenInfo,'GetPointerPenInfo',\
    GetPointerPenInfoHistory,'GetPointerPenInfoHistory',\
    GetPointerTouchInfo,'GetPointerTouchInfo',\
    GetPointerTouchInfoHistory,'GetPointerTouchInfoHistory',\
    GetPointerType,'GetPointerType',\
    GetPriorityClipboardFormat,'GetPriorityClipboardFormat',\
    GetProcessDefaultLayout,'GetProcessDefaultLayout',\
    GetProcessWindowStation,'GetProcessWindowStation',\
    GetProgmanWindow,'GetProgmanWindow',\
    GetPropA,'GetPropA',\
    GetPropW,'GetPropW',\
    GetQueueStatus,'GetQueueStatus',\
    GetRawInputBuffer,'GetRawInputBuffer',\
    GetRawInputData,'GetRawInputData',\
    GetRawInputDeviceInfoA,'GetRawInputDeviceInfoA',\
    GetRawInputDeviceInfoW,'GetRawInputDeviceInfoW',\
    GetRawInputDeviceList,'GetRawInputDeviceList',\
    GetRawPointerDeviceData,'GetRawPointerDeviceData',\
    GetReasonTitleFromReasonCode,'GetReasonTitleFromReasonCode',\
    GetRegisteredRawInputDevices,'GetRegisteredRawInputDevices',\
    GetScrollBarInfo,'GetScrollBarInfo',\
    GetScrollInfo,'GetScrollInfo',\
    GetScrollPos,'GetScrollPos',\
    GetScrollRange,'GetScrollRange',\
    GetSendMessageReceiver,'GetSendMessageReceiver',\
    GetShellWindow,'GetShellWindow',\
    GetSubMenu,'GetSubMenu',\
    GetSysColor,'GetSysColor',\
    GetSysColorBrush,'GetSysColorBrush',\
    GetSystemMenu,'GetSystemMenu',\
    GetSystemMetrics,'GetSystemMetrics',\
    GetTabbedTextExtentA,'GetTabbedTextExtentA',\
    GetTabbedTextExtentW,'GetTabbedTextExtentW',\
    GetTaskmanWindow,'GetTaskmanWindow',\
    GetThreadDesktop,'GetThreadDesktop',\
    GetTitleBarInfo,'GetTitleBarInfo',\
    GetTopWindow,'GetTopWindow',\
    GetTouchInputInfo,'GetTouchInputInfo',\
    GetUnpredictedMessagePos,'GetUnpredictedMessagePos',\
    GetUpdatedClipboardFormats,'GetUpdatedClipboardFormats',\
    GetUpdateRect,'GetUpdateRect',\
    GetUpdateRgn,'GetUpdateRgn',\
    GetUserObjectInformationA,'GetUserObjectInformationA',\
    GetUserObjectInformationW,'GetUserObjectInformationW',\
    GetUserObjectSecurity,'GetUserObjectSecurity',\
    GetWindow,'GetWindow',\
    GetWindowCompositionAttribute,'GetWindowCompositionAttribute',\
    GetWindowContextHelpId,'GetWindowContextHelpId',\
    GetWindowDC,'GetWindowDC',\
    GetWindowDisplayAffinity,'GetWindowDisplayAffinity',\
    GetWindowFeedbackSetting,'GetWindowFeedbackSetting',\
    GetWindowInfo,'GetWindowInfo',\
    GetWindowLongA,'GetWindowLongA',\
    GetWindowLongW,'GetWindowLongW',\
    GetWindowMinimizeRect,'GetWindowMinimizeRect',\
    GetWindowModuleFileName,'GetWindowModuleFileName',\
    GetWindowModuleFileNameA,'GetWindowModuleFileNameA',\
    GetWindowModuleFileNameW,'GetWindowModuleFileNameW',\
    GetWindowPlacement,'GetWindowPlacement',\
    GetWindowRect,'GetWindowRect',\
    GetWindowRgn,'GetWindowRgn',\
    GetWindowRgnBox,'GetWindowRgnBox',\
    GetWindowTextA,'GetWindowTextA',\
    GetWindowTextLengthA,'GetWindowTextLengthA',\
    GetWindowTextLengthW,'GetWindowTextLengthW',\
    GetWindowTextW,'GetWindowTextW',\
    GetWindowThreadProcessId,'GetWindowThreadProcessId',\
    GetWindowWord,'GetWindowWord',\
    GhostWindowFromHungWindow,'GhostWindowFromHungWindow',\
    GrayStringA,'GrayStringA',\
    GrayStringW,'GrayStringW',\
    HideCaret,'HideCaret',\
    HiliteMenuItem,'HiliteMenuItem',\
    HungWindowFromGhostWindow,'HungWindowFromGhostWindow',\
    ImpersonateDdeClientWindow,'ImpersonateDdeClientWindow',\
    IMPGetIMEA,'IMPGetIMEA',\
    IMPGetIMEW,'IMPGetIMEW',\
    IMPQueryIMEA,'IMPQueryIMEA',\
    IMPQueryIMEW,'IMPQueryIMEW',\
    IMPSetIMEA,'IMPSetIMEA',\
    IMPSetIMEW,'IMPSetIMEW',\
    InflateRect,'InflateRect',\
    InitializeLpkHooks,'InitializeLpkHooks',\
    InitializeTouchInjection,'InitializeTouchInjection',\
    InjectTouchInput,'InjectTouchInput',\
    InSendMessage,'InSendMessage',\
    InSendMessageEx,'InSendMessageEx',\
    InsertMenuA,'InsertMenuA',\
    InsertMenuItemA,'InsertMenuItemA',\
    InsertMenuItemW,'InsertMenuItemW',\
    InsertMenuW,'InsertMenuW',\
    InternalGetWindowText,'InternalGetWindowText',\
    IntersectRect,'IntersectRect',\
    InvalidateRect,'InvalidateRect',\
    InvalidateRgn,'InvalidateRgn',\
    InvertRect,'InvertRect',\
    IsCharAlphaA,'IsCharAlphaA',\
    IsCharAlphaNumericA,'IsCharAlphaNumericA',\
    IsCharAlphaNumericW,'IsCharAlphaNumericW',\
    IsCharAlphaW,'IsCharAlphaW',\
    IsCharLowerA,'IsCharLowerA',\
    IsCharLowerW,'IsCharLowerW',\
    IsCharUpperA,'IsCharUpperA',\
    IsCharUpperW,'IsCharUpperW',\
    IsChild,'IsChild',\
    IsClipboardFormatAvailable,'IsClipboardFormatAvailable',\
    IsDialogMessageA,'IsDialogMessageA',\
    IsDialogMessageW,'IsDialogMessageW',\
    IsDlgButtonChecked,'IsDlgButtonChecked',\
    IsGUIThread,'IsGUIThread',\
    IsHungAppWindow,'IsHungAppWindow',\
    IsIconic,'IsIconic',\
    IsImmersiveProcess,'IsImmersiveProcess',\
    IsMenu,'IsMenu',\
    IsMouseInPointerEnabled,'IsMouseInPointerEnabled',\
    IsProcess16Bit,'IsProcess16Bit',\
    IsProcessDPIAware,'IsProcessDPIAware',\
    IsRectEmpty,'IsRectEmpty',\
    IsServerSideWindow,'IsServerSideWindow',\
    IsSETEnabled,'IsSETEnabled',\
    IsThreadDesktopComposited,'IsThreadDesktopComposited',\
    IsTopLevelWindow,'IsTopLevelWindow',\
    IsTouchWindow,'IsTouchWindow',\
    IsWindow,'IsWindow',\
    IsWindowEnabled,'IsWindowEnabled',\
    IsWindowInDestroy,'IsWindowInDestroy',\
    IsWindowRedirectedForPrint,'IsWindowRedirectedForPrint',\
    IsWindowUnicode,'IsWindowUnicode',\
    IsWindowVisible,'IsWindowVisible',\
    IsWinEventHookInstalled,'IsWinEventHookInstalled',\
    IsWow64Message,'IsWow64Message',\
    IsZoomed,'IsZoomed',\
    keybd_event,'keybd_event',\
    KillTimer,'KillTimer',\
    LoadAcceleratorsA,'LoadAcceleratorsA',\
    LoadAcceleratorsW,'LoadAcceleratorsW',\
    LoadBitmapA,'LoadBitmapA',\
    LoadBitmapW,'LoadBitmapW',\
    LoadCursorA,'LoadCursorA',\
    LoadCursorFromFileA,'LoadCursorFromFileA',\
    LoadCursorFromFileW,'LoadCursorFromFileW',\
    LoadCursorW,'LoadCursorW',\
    LoadIconA,'LoadIconA',\
    LoadIconW,'LoadIconW',\
    LoadImageA,'LoadImageA',\
    LoadImageW,'LoadImageW',\
    LoadKeyboardLayoutA,'LoadKeyboardLayoutA',\
    LoadKeyboardLayoutEx,'LoadKeyboardLayoutEx',\
    LoadKeyboardLayoutW,'LoadKeyboardLayoutW',\
    LoadLocalFonts,'LoadLocalFonts',\
    LoadMenuA,'LoadMenuA',\
    LoadMenuIndirectA,'LoadMenuIndirectA',\
    LoadMenuIndirectW,'LoadMenuIndirectW',\
    LoadMenuW,'LoadMenuW',\
    LoadRemoteFonts,'LoadRemoteFonts',\
    LoadStringA,'LoadStringA',\
    LoadStringW,'LoadStringW',\
    LockSetForegroundWindow,'LockSetForegroundWindow',\
    LockWindowUpdate,'LockWindowUpdate',\
    LockWorkStation,'LockWorkStation',\
    LogicalToPhysicalPoint,'LogicalToPhysicalPoint',\
    LookupIconIdFromDirectory,'LookupIconIdFromDirectory',\
    LookupIconIdFromDirectoryEx,'LookupIconIdFromDirectoryEx',\
    MapDialogRect,'MapDialogRect',\
    MapVirtualKeyA,'MapVirtualKeyA',\
    MapVirtualKeyExA,'MapVirtualKeyExA',\
    MapVirtualKeyExW,'MapVirtualKeyExW',\
    MapVirtualKeyW,'MapVirtualKeyW',\
    MapWindowPoints,'MapWindowPoints',\
    MB_GetString,'MB_GetString',\
    MBToWCSEx,'MBToWCSEx',\
    MenuItemFromPoint,'MenuItemFromPoint',\
    MenuWindowProcA,'MenuWindowProcA',\
    MenuWindowProcW,'MenuWindowProcW',\
    MessageBeep,'MessageBeep',\
    MessageBoxA,'MessageBoxA',\
    MessageBoxExA,'MessageBoxExA',\
    MessageBoxExW,'MessageBoxExW',\
    MessageBoxIndirectA,'MessageBoxIndirectA',\
    MessageBoxIndirectW,'MessageBoxIndirectW',\
    MessageBoxTimeoutA,'MessageBoxTimeoutA',\
    MessageBoxTimeoutW,'MessageBoxTimeoutW',\
    MessageBoxW,'MessageBoxW',\
    ModifyMenuA,'ModifyMenuA',\
    ModifyMenuW,'ModifyMenuW',\
    MonitorFromPoint,'MonitorFromPoint',\
    MonitorFromRect,'MonitorFromRect',\
    MonitorFromWindow,'MonitorFromWindow',\
    mouse_event,'mouse_event',\
    MoveWindow,'MoveWindow',\
    MsgWaitForMultipleObjects,'MsgWaitForMultipleObjects',\
    MsgWaitForMultipleObjectsEx,'MsgWaitForMultipleObjectsEx',\
    NotifyWinEvent,'NotifyWinEvent',\
    OemKeyScan,'OemKeyScan',\
    OemToCharA,'OemToCharA',\
    OemToCharBuffA,'OemToCharBuffA',\
    OemToCharBuffW,'OemToCharBuffW',\
    OemToCharW,'OemToCharW',\
    OffsetRect,'OffsetRect',\
    OpenClipboard,'OpenClipboard',\
    OpenDesktopA,'OpenDesktopA',\
    OpenDesktopW,'OpenDesktopW',\
    OpenIcon,'OpenIcon',\
    OpenInputDesktop,'OpenInputDesktop',\
    OpenWindowStationA,'OpenWindowStationA',\
    OpenWindowStationW,'OpenWindowStationW',\
    PackDDElParam,'PackDDElParam',\
    PackTouchHitTestingProximityEvaluation,'PackTouchHitTestingProximityEvaluation',\
    PaintDesktop,'PaintDesktop',\
    PeekMessageA,'PeekMessageA',\
    PeekMessageW,'PeekMessageW',\
    PhysicalToLogicalPoint,'PhysicalToLogicalPoint',\
    PhysicalToLogicalPointForPerMonitorDPI,'PhysicalToLogicalPointForPerMonitorDPI',\
    PostMessageA,'PostMessageA',\
    PostMessageW,'PostMessageW',\
    PostQuitMessage,'PostQuitMessage',\
    PostThreadMessageA,'PostThreadMessageA',\
    PostThreadMessageW,'PostThreadMessageW',\
    PrintWindow,'PrintWindow',\
    PrivateExtractIconExA,'PrivateExtractIconExA',\
    PrivateExtractIconExW,'PrivateExtractIconExW',\
    PrivateExtractIconsA,'PrivateExtractIconsA',\
    PrivateExtractIconsW,'PrivateExtractIconsW',\
    PtInRect,'PtInRect',\
    QueryDisplayConfig,'QueryDisplayConfig',\
    QuerySendMessage,'QuerySendMessage',\
    RealChildWindowFromPoint,'RealChildWindowFromPoint',\
    RealGetWindowClass,'RealGetWindowClass',\
    RealGetWindowClassA,'RealGetWindowClassA',\
    RealGetWindowClassW,'RealGetWindowClassW',\
    RecordShutdownReason,'RecordShutdownReason',\
    RedrawWindow,'RedrawWindow',\
    RegisterClassA,'RegisterClassA',\
    RegisterClassExA,'RegisterClassExA',\
    RegisterClassExW,'RegisterClassExW',\
    RegisterClassW,'RegisterClassW',\
    RegisterClipboardFormatA,'RegisterClipboardFormatA',\
    RegisterClipboardFormatW,'RegisterClipboardFormatW',\
    RegisterDeviceNotificationA,'RegisterDeviceNotificationA',\
    RegisterDeviceNotificationW,'RegisterDeviceNotificationW',\
    RegisterHotKey,'RegisterHotKey',\
    RegisterMessagePumpHook,'RegisterMessagePumpHook',\
    RegisterPointerDeviceNotifications,'RegisterPointerDeviceNotifications',\
    RegisterPointerInputTarget,'RegisterPointerInputTarget',\
    RegisterPowerSettingNotification,'RegisterPowerSettingNotification',\
    RegisterRawInputDevices,'RegisterRawInputDevices',\
    RegisterServicesProcess,'RegisterServicesProcess',\
    RegisterShellHookWindow,'RegisterShellHookWindow',\
    RegisterSuspendResumeNotification,'RegisterSuspendResumeNotification',\
    RegisterTouchHitTestingWindow,'RegisterTouchHitTestingWindow',\
    RegisterTouchWindow,'RegisterTouchWindow',\
    RegisterUserApiHook,'RegisterUserApiHook',\
    RegisterWindowMessageA,'RegisterWindowMessageA',\
    RegisterWindowMessageW,'RegisterWindowMessageW',\
    ReleaseCapture,'ReleaseCapture',\
    ReleaseDC,'ReleaseDC',\
    RemoveClipboardFormatListener,'RemoveClipboardFormatListener',\
    RemoveMenu,'RemoveMenu',\
    RemovePropA,'RemovePropA',\
    RemovePropW,'RemovePropW',\
    ReplyMessage,'ReplyMessage',\
    ReuseDDElParam,'ReuseDDElParam',\
    ScreenToClient,'ScreenToClient',\
    ScrollDC,'ScrollDC',\
    ScrollWindow,'ScrollWindow',\
    ScrollWindowEx,'ScrollWindowEx',\
    SendDlgItemMessageA,'SendDlgItemMessageA',\
    SendDlgItemMessageW,'SendDlgItemMessageW',\
    SendIMEMessageExA,'SendIMEMessageExA',\
    SendIMEMessageExW,'SendIMEMessageExW',\
    SendInput,'SendInput',\
    SendMessageA,'SendMessageA',\
    SendMessageCallbackA,'SendMessageCallbackA',\
    SendMessageCallbackW,'SendMessageCallbackW',\
    SendMessageTimeoutA,'SendMessageTimeoutA',\
    SendMessageTimeoutW,'SendMessageTimeoutW',\
    SendMessageW,'SendMessageW',\
    SendNotifyMessageA,'SendNotifyMessageA',\
    SendNotifyMessageW,'SendNotifyMessageW',\
    SetActiveWindow,'SetActiveWindow',\
    SetCapture,'SetCapture',\
    SetCaretBlinkTime,'SetCaretBlinkTime',\
    SetCaretPos,'SetCaretPos',\
    SetClassLongA,'SetClassLongA',\
    SetClassLongW,'SetClassLongW',\
    SetClassWord,'SetClassWord',\
    SetClipboardData,'SetClipboardData',\
    SetClipboardViewer,'SetClipboardViewer',\
    SetCoalescableTimer,'SetCoalescableTimer',\
    SetCursor,'SetCursor',\
    SetCursorPos,'SetCursorPos',\
    SetDebugErrorLevel,'SetDebugErrorLevel',\
    SetDisplayAutoRotationPreferences,'SetDisplayAutoRotationPreferences',\
    SetDisplayConfig,'SetDisplayConfig',\
    SetDlgItemInt,'SetDlgItemInt',\
    SetDlgItemTextA,'SetDlgItemTextA',\
    SetDlgItemTextW,'SetDlgItemTextW',\
    SetDoubleClickTime,'SetDoubleClickTime',\
    SetFocus,'SetFocus',\
    SetForegroundWindow,'SetForegroundWindow',\
    SetGestureConfig,'SetGestureConfig',\
    SetKeyboardState,'SetKeyboardState',\
    SetLastErrorEx,'SetLastErrorEx',\
    SetLayeredWindowAttributes,'SetLayeredWindowAttributes',\
    SetLogonNotifyWindow,'SetLogonNotifyWindow',\
    SetMenu,'SetMenu',\
    SetMenuContextHelpId,'SetMenuContextHelpId',\
    SetMenuDefaultItem,'SetMenuDefaultItem',\
    SetMenuInfo,'SetMenuInfo',\
    SetMenuItemBitmaps,'SetMenuItemBitmaps',\
    SetMenuItemInfoA,'SetMenuItemInfoA',\
    SetMenuItemInfoW,'SetMenuItemInfoW',\
    SetMessageExtraInfo,'SetMessageExtraInfo',\
    SetMessageQueue,'SetMessageQueue',\
    SetParent,'SetParent',\
    SetPhysicalCursorPos,'SetPhysicalCursorPos',\
    SetProcessDefaultLayout,'SetProcessDefaultLayout',\
    SetProcessDPIAware,'SetProcessDPIAware',\
    SetProcessRestrictionExemption,'SetProcessRestrictionExemption',\
    SetProcessWindowStation,'SetProcessWindowStation',\
    SetProgmanWindow,'SetProgmanWindow',\
    SetPropA,'SetPropA',\
    SetPropW,'SetPropW',\
    SetRect,'SetRect',\
    SetRectEmpty,'SetRectEmpty',\
    SetScrollInfo,'SetScrollInfo',\
    SetScrollPos,'SetScrollPos',\
    SetScrollRange,'SetScrollRange',\
    SetShellWindow,'SetShellWindow',\
    SetShellWindowEx,'SetShellWindowEx',\
    SetSysColors,'SetSysColors',\
    SetSystemCursor,'SetSystemCursor',\
    SetSystemMenu,'SetSystemMenu',\
    SetTaskmanWindow,'SetTaskmanWindow',\
    SetThreadDesktop,'SetThreadDesktop',\
    SetTimer,'SetTimer',\
    SetUserObjectInformationA,'SetUserObjectInformationA',\
    SetUserObjectInformationW,'SetUserObjectInformationW',\
    SetUserObjectSecurity,'SetUserObjectSecurity',\
    SetWindowCompositionAttribute,'SetWindowCompositionAttribute',\
    SetWindowContextHelpId,'SetWindowContextHelpId',\
    SetWindowDisplayAffinity,'SetWindowDisplayAffinity',\
    SetWindowFeedbackSetting,'SetWindowFeedbackSetting',\
    SetWindowLongA,'SetWindowLongA',\
    SetWindowLongW,'SetWindowLongW',\
    SetWindowPlacement,'SetWindowPlacement',\
    SetWindowPos,'SetWindowPos',\
    SetWindowRgn,'SetWindowRgn',\
    SetWindowsHookA,'SetWindowsHookA',\
    SetWindowsHookExA,'SetWindowsHookExA',\
    SetWindowsHookExW,'SetWindowsHookExW',\
    SetWindowsHookW,'SetWindowsHookW',\
    SetWindowStationUser,'SetWindowStationUser',\
    SetWindowTextA,'SetWindowTextA',\
    SetWindowTextW,'SetWindowTextW',\
    SetWindowWord,'SetWindowWord',\
    SetWinEventHook,'SetWinEventHook',\
    ShowCaret,'ShowCaret',\
    ShowCursor,'ShowCursor',\
    ShowOwnedPopups,'ShowOwnedPopups',\
    ShowScrollBar,'ShowScrollBar',\
    ShowStartGlass,'ShowStartGlass',\
    ShowSystemCursor,'ShowSystemCursor',\
    ShowWindow,'ShowWindow',\
    ShowWindowAsync,'ShowWindowAsync',\
    ShutdownBlockReasonCreate,'ShutdownBlockReasonCreate',\
    ShutdownBlockReasonDestroy,'ShutdownBlockReasonDestroy',\
    ShutdownBlockReasonQuery,'ShutdownBlockReasonQuery',\
    SkipPointerFrameMessages,'SkipPointerFrameMessages',\
    SoundSentry,'SoundSentry',\
    SubtractRect,'SubtractRect',\
    SwapMouseButton,'SwapMouseButton',\
    SwitchDesktop,'SwitchDesktop',\
    SwitchToThisWindow,'SwitchToThisWindow',\
    SystemParametersInfoA,'SystemParametersInfoA',\
    SystemParametersInfoW,'SystemParametersInfoW',\
    TabbedTextOutA,'TabbedTextOutA',\
    TabbedTextOutW,'TabbedTextOutW',\
    TileChildWindows,'TileChildWindows',\
    TileWindows,'TileWindows',\
    ToAscii,'ToAscii',\
    ToAsciiEx,'ToAsciiEx',\
    ToUnicode,'ToUnicode',\
    ToUnicodeEx,'ToUnicodeEx',\
    TrackMouseEvent,'TrackMouseEvent',\
    TrackPopupMenu,'TrackPopupMenu',\
    TrackPopupMenuEx,'TrackPopupMenuEx',\
    TranslateAcceleratorA,'TranslateAcceleratorA',\
    TranslateAcceleratorW,'TranslateAcceleratorW',\
    TranslateMDISysAccel,'TranslateMDISysAccel',\
    TranslateMessage,'TranslateMessage',\
    TranslateMessageEx,'TranslateMessageEx',\
    UnhookWindowsHook,'UnhookWindowsHook',\
    UnhookWindowsHookEx,'UnhookWindowsHookEx',\
    UnhookWinEvent,'UnhookWinEvent',\
    UnionRect,'UnionRect',\
    UnloadKeyboardLayout,'UnloadKeyboardLayout',\
    UnpackDDElParam,'UnpackDDElParam',\
    UnregisterClassA,'UnregisterClassA',\
    UnregisterClassW,'UnregisterClassW',\
    UnregisterDeviceNotification,'UnregisterDeviceNotification',\
    UnregisterHotKey,'UnregisterHotKey',\
    UnregisterMessagePumpHook,'UnregisterMessagePumpHook',\
    UnregisterPointerInputTarget,'UnregisterPointerInputTarget',\
    UnregisterPowerSettingNotification,'UnregisterPowerSettingNotification',\
    UnregisterSuspendResumeNotification,'UnregisterSuspendResumeNotification',\
    UnregisterTouchWindow,'UnregisterTouchWindow',\
    UnregisterUserApiHook,'UnregisterUserApiHook',\
    UpdateLayeredWindow,'UpdateLayeredWindow',\
    UpdateLayeredWindowIndirect,'UpdateLayeredWindowIndirect',\
    UpdateWindow,'UpdateWindow',\
    UpdateWindowTransform,'UpdateWindowTransform',\
    UserHandleGrantAccess,'UserHandleGrantAccess',\
    UserRealizePalette,'UserRealizePalette',\
    UserRegisterWowHandlers,'UserRegisterWowHandlers',\
    ValidateRect,'ValidateRect',\
    ValidateRgn,'ValidateRgn',\
    VkKeyScanA,'VkKeyScanA',\
    VkKeyScanExA,'VkKeyScanExA',\
    VkKeyScanExW,'VkKeyScanExW',\
    VkKeyScanW,'VkKeyScanW',\
    WaitForInputIdle,'WaitForInputIdle',\
    WaitMessage,'WaitMessage',\
    WindowFromDC,'WindowFromDC',\
    WindowFromPoint,'WindowFromPoint',\
    WinHelpA,'WinHelpA',\
    WinHelpW,'WinHelpW',\
    WINNLSEnableIME,'WINNLSEnableIME',\
    wsprintfA,'wsprintfA',\
    wsprintfW,'wsprintfW',\
    wvsprintfA,'wvsprintfA',\
    wvsprintfW,'wvsprintfW'

    GetClassLongPtr equ GetClassLong
    GetWindowLongPtr equ GetWindowLong
    SetClassLongPtr equ SetClassLong
    SetWindowLongPtr equ SetWindowLong
    GetClassLongPtrA equ GetClassLongA
    GetWindowLongPtrA equ GetWindowLongA
    SetClassLongPtrA equ SetClassLongA
    SetWindowLongPtrA equ SetWindowLongA
end if

api AppendMenu,\
    BroadcastSystemMessage,\
    BroadcastSystemMessageEx,\
    CallMsgFilter,\
    CallWindowProc,\
    ChangeDisplaySettings,\
    ChangeDisplaySettingsEx,\
    ChangeMenu,\
    CharLower,\
    CharNext,\
    CharPrev,\
    CharToOem,\
    CharToOemBuff,\
    CharUpper,\
    CharUpperBuff,\
    CopyAcceleratorTable,\
    CreateAcceleratorTable,\
    CreateDesktop,\
    CreateDesktopEx,\
    CreateDialogIndirectParam,\
    CreateDialogParam,\
    CreateMDIWindow,\
    CreateWindowEx,\
    CreateWindowStation,\
    DdeCreateStringHandle,\
    DdeInitialize,\
    DdeQueryString,\
    DefDlgProc,\
    DefFrameProc,\
    DefMDIChildProc,\
    DefWindowProc,\
    DialogBoxIndirectParam,\
    DialogBoxParam,\
    DispatchMessage,\
    DlgDirList,\
    DlgDirListComboBox,\
    DlgDirSelectComboBoxEx,\
    DlgDirSelectEx,\
    DrawCaptionTemp,\
    DrawState,\
    DrawText,\
    DrawTextEx,\
    EnumDesktops,\
    EnumDisplayDevices,\
    EnumDisplaySettings,\
    EnumDisplaySettingsEx,\
    EnumProps,\
    EnumPropsEx,\
    EnumWindowStations,\
    FindWindow,\
    FindWindowEx,\
    GetAltTabInfo,\
    GetClassInfo,\
    GetClassInfoEx,\
    GetClassLong,\
    GetClassName,\
    GetClipboardFormatName,\
    GetDlgItemText,\
    GetIconInfoEx,\
    GetKeyboardLayoutName,\
    GetKeyNameText,\
    GetMenuItemInfo,\
    GetMenuString,\
    GetMessage,\
    GetMonitorInfo,\
    GetProp,\
    GetRawInputDeviceInfo,\
    GetTabbedTextExtent,\
    GetUserObjectInformation,\
    GetWindowLong,\
    GetWindowText,\
    GetWindowTextLength,\
    GrayString,\
    IMPGetIME,\
    IMPQueryIME,\
    IMPSetIME,\
    InsertMenu,\
    InsertMenuItem,\
    IsCharAlpha,\
    IsCharAlphaNumeric,\
    IsCharLower,\
    IsCharUpper,\
    IsDialogMessage,\
    LoadAccelerators,\
    LoadBitmap,\
    LoadCursor,\
    LoadCursorFromFile,\
    LoadIcon,\
    LoadImage,\
    LoadKeyboardLayout,\
    LoadMenu,\
    LoadMenuIndirect,\
    LoadString,\
    MapVirtualKey,\
    MapVirtualKeyEx,\
    MenuWindowProc,\
    MessageBox,\
    MessageBoxEx,\
    MessageBoxIndirect,\
    MessageBoxTimeout,\
    ModifyMenu,\
    OemToChar,\
    OemToCharBuff,\
    OpenDesktop,\
    OpenWindowStation,\
    PeekMessage,\
    PostAppMessage,\
    PostMessage,\
    PostThreadMessage,\
    PrivateExtractIconEx,\
    PrivateExtractIcons,\
    RegisterClass,\
    RegisterClassEx,\
    RegisterClipboardFormat,\
    RegisterDeviceNotification,\
    RegisterWindowMessage,\
    RemoveProp,\
    SendDlgItemMessage,\
    SendIMEMessageEx,\
    SendMessage,\
    SendMessageCallback,\
    SendMessageTimeout,\
    SendNotifyMessage,\
    SetClassLong,\
    SetDlgItemText,\
    SetMenuItemInfo,\
    SetProp,\
    SetUserObjectInformation,\
    SetWindowLong,\
    SetWindowsHook,\
    SetWindowsHookEx,\
    SetWindowText,\
    SystemParametersInfo,\
    TabbedTextOut,\
    TranslateAccelerator,\
    UnregisterClass,\
    VkKeyScan,\
    VkKeyScanEx,\
    WinHelp,\
    wsprintf,\
    wvsprintf

PostAppMessage equ PostThreadMessage
PostAppMessageA equ PostThreadMessageA
PostAppMessageW equ PostThreadMessageW
AnsiToOem equ CharToOemA
OemToAnsi equ OemToCharA
AnsiToOemBuff equ CharToOemBuffA
OemToAnsiBuff equ OemToCharBuffA
AnsiUpper equ CharUpperA
AnsiUpperBuff equ CharUpperBuffA
AnsiLower equ CharLowerA
AnsiLowerBuff equ CharLowerBuffA
AnsiNext equ CharNextA
AnsiPrev equ CharPrevA

end if ;USER32_INC
